%define upstream_name    OpenGL
%define upstream_version 0.66

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    3

Summary:    Interface to OpenGL drawing/imaging library

License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/C/CH/CHM/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		perl-OpenGL-0.62-dist.patch
BuildRequires: mesa-common-devel
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(glut)
BuildRequires: perl-devel



%description
Naming convention:
    Virtually all of the OpenGL 1.0, and 1.1 functions are available, and
    most of 1.2. In general, the calling sequence is identical in Perl as
    in C.

    Most functions that have no pointer arguments are called identically in
    Perl as in C, and the same name is used.

    Functions that use Perl array arguments and have been changed in "the
    obvious way" -- to take a variable number of arguments and/or to return
    an array -- have the the same names as their C counterparts, but with a
    _p suffix.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p0 -b .dist
# test.pl requires interaction, prefer using tests in t/
rm test.pl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor dist=NO_EXCLUSIONS
sed 's/PERL_DL_NONLAZY=1//' -i Makefile
%make

# since we're building without exclusion, test fail
#%check
#%{make} test

%install
%makeinstall_std

%clean

%files
%doc CHANGES README GIT_CHANGES
%{_mandir}/man3/*
%{perl_vendorlib}/*



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.660.0-3
+ Revision: 227b0e0
- MassBuild#440: Increase release tag


